<?php
/**
 * Copyright ©  All rights reserved.
 * See COPYING.txt for license details.
 */
declare(strict_types=1);

namespace Pinpoint\CarouselManager\Api\Data;

interface CarouselInterface extends \Magento\Framework\Api\ExtensibleDataInterface
{

    const NAME = 'name';
    const CAROUSEL_ID = 'carousel_id';

    /**
     * Get carousel_id
     * @return string|null
     */
    public function getCarouselId();

    /**
     * Set carousel_id
     * @param string $carouselId
     * @return \Pinpoint\CarouselManager\Api\Data\CarouselInterface
     */
    public function setCarouselId($carouselId);

    /**
     * Get name
     * @return string|null
     */
    public function getName();

    /**
     * Set name
     * @param string $name
     * @return \Pinpoint\CarouselManager\Api\Data\CarouselInterface
     */
    public function setName($name);

    /**
     * Retrieve existing extension attributes object or create a new one.
     * @return \Pinpoint\CarouselManager\Api\Data\CarouselExtensionInterface|null
     */
    public function getExtensionAttributes();

    /**
     * Set an extension attributes object.
     * @param \Pinpoint\CarouselManager\Api\Data\CarouselExtensionInterface $extensionAttributes
     * @return $this
     */
    public function setExtensionAttributes(
        \Pinpoint\CarouselManager\Api\Data\CarouselExtensionInterface $extensionAttributes
    );
}

