<?php
/**
 * Copyright (©) 2020 Pinpoint Designs LTD. All right's reserved.
 *
 * @category    Pinpoint
 * @copyright   Copyright (c) 2020 Pinpoint Designs. (http://www.pinpointdesigns.co.uk)
 * @author      Daniel Cuevas <daniel@pinpointdesigns.co.uk>
 */

namespace Pinpoint\CarouselManager\Block\Adminhtml\Carousel\Edit\Tab;

use Magento\Framework\View\Element\Template;

/**
 * Class General
 */
class Slide   extends \Magento\Backend\Block\Widget\Form\Generic  implements \Magento\Backend\Block\Widget\Tab\TabInterface
{
    /**
     * Prepare label for tab
     *
     * @return \Magento\Framework\Phrase
     */
    public function getTabLabel()
    {
        return __('Slide 1');
    }

    /**
     * Prepare title for tab
     *
     * @return \Magento\Framework\Phrase
     */
    public function getTabTitle()
    {
        return __('Slide 1');
    }

    /**
     * {@inheritdoc}
     */
    public function canShowTab()
    {
        return true;
    }

    /**
     * {@inheritdoc}
     */
    public function isHidden()
    {
        return false;
    }

    protected function _toHtml()
    {
        return parent::_toHtml(); // TODO: Change the autogenerated stub
    }



//    protected function _toHtml()
//    {
//        return $this->getChildHtml();
//    }



//    protected function _toHtml()
//    {
//        if ($this->getRequest()->getParam('ajax')) {
//            return parent::_toHtml();
//        }
//        return $this->_getFormMessages() . parent::_toHtml();
//    }
//
//    protected function _getFormMessages()
//    {
//        $html = '<div id="messages"><div class="messages">';
//        foreach ($this->getFormMessages() as $formMessage) {
//            $html .= '<div class="message message-' . $formMessage['type'] . ' ' . $formMessage['type'] . '"><div>' . $formMessage['message'] . '</div></div>';
//        }
//        $html .= '</div></div>';
//        return $html;
//    }

    protected function _prepareForm()
    {
        $model = $this->_coreRegistry->registry('pinpoint_carouselmanager_carousel');
        // Set default values
        if (!$model->getId()) {
            $model->setEnabled(1);
        }

//        $entityName = $this->entityHelper->getEntityName($model->getEntity());

        /** @var \Magento\Framework\Data\Form $form */
        $form = $this->_formFactory->create();

        $fieldset = $form->addFieldset(
            'base_fieldset',
            [
                'legend' => __('Slide'),
            ]
        );

        if ($model->getId()) {
            $fieldset->addField(
                'slide_id',
                'hidden',
                [
                    'name' => 'slide_id',
                ]
            );
        }

        $fieldset->addField(
            'title',
            'text',
            [
                'label' => __('Title'),
                'name' => 'title',
                'required' => true,
            ]
        );

        $fieldset->addField(
            'mobile_title',
            'text',
            [
                'label' => __('Mobile Title'),
                'name' => 'mobile_title',
                'required' => true,
            ]
        );

        $fieldset->addField(
            'margins_and_padding',
            'text',
            [
                'label' => __('Margins and Padding'),
                'name' => 'margins_and_padding',
                'formElement' => 'input',
                'component' => "Magento_PageBuilder/js/form/element/margins-and-padding",
                'template' => "ui/form/field",
                'default' => '{"margin":{"top":"0","right":"0","bottom":"0","left":"0"},"padding":{"top":"0","right":"0","bottom":"0","left":"0"}}',
                'required' => false,
            ]
        );

        if ($model->getId()) {
            $fieldset->addField(
                'enabled',
                'select',
                [
                    'label' => __('Enabled'),
                    'name' => 'enabled',
                    'values' => $this->yesNo->toOptionArray()
                ]
            );
        } else {
            $fieldset->addField(
                'continue_button',
                'note',
                [
                    'text' => $this->getChildHtml('continue_button'),
                ]
            );
        }

//        $entity = $fieldset->addField(
//            'entity',
//            'select',
//            [
//                'label' => __('Export Type'),
//                'name' => 'entity',
//                'options' => $this->yesNo->toOptionArray(),
//                'required' => true,
//                'note' => __(
//                    'This setting can\'t be changed after creating the profile. Add a new profile for different export types.'
//                )
//            ]
//        );

//        if ($model->getId()) {
//            $entity->setDisabled(true);
//        }



//        if ($this->_coreRegistry->registry('orderexport_profile') && $this->_coreRegistry->registry(
//                'orderexport_profile'
//            )->getId()
//        ) {
//            $fieldset = $form->addFieldset(
//                'advanced_fieldset',
//                [
//                    'legend' => __('Export Settings'),
//                    'class' => 'fieldset-wide',
//                ]
//            );
//
//            $fieldset->addField(
//                'save_files_local_copy',
//                'select',
//                [
//                    'label' => __('Save local copies of exports'),
//                    'name' => 'save_files_local_copy',
//                    'values' => $this->yesNo->toOptionArray(),
//                    'note' => __(
//                        'If set to yes, local copies of the exported files will be saved in the ./var/export_bkp/ folder. If set to no, you won\'t be able to download old export files from the export/execution log.'
//                    )
//                ]
//            );

//            $fieldset->addField(
//                'export_one_file_per_object',
//                'select',
//                [
//                    'label' => __(
//                        'Export each %1 separately',
//                        $entityName
//                    ),
//                    'name' => 'export_one_file_per_object',
//                    'values' => $this->yesNo->toOptionArray(),
//                    'note' => __(
//                        'If set to yes, each %1 exported would be saved in a separate file. This means, for every %2 you export, one file will be created, with just the one %3 in there. If set to no, one file will be created with all the exported %4s in there.',
//                        $entityName,
//                        $entityName,
//                        $entityName,
//                        $entityName
//                    )
//                ]
//            );
//
//            $fieldset->addField(
//                'export_empty_files',
//                'select',
//                [
//                    'label' => __('Export empty files'),
//                    'name' => 'export_empty_files',
//                    'values' => $this->yesNo->toOptionArray(),
//                    'note' => __(
//                        'If set to yes, every export will create a file. Even if 0 %1s have been exported, an empty export file will be created.',
//                        $entityName
//                    )
//                ]
//            );
//        }

        $form->setValues($model->getData());
        $this->setForm($form);

        return parent::_prepareForm();
    }
}