<?php
/**
 * Copyright (©) 2020 Pinpoint Designs LTD. All right's reserved.
 *
 * @category    Pinpoint
 * @copyright   Copyright (c) 2020 Pinpoint Designs. (http://www.pinpointdesigns.co.uk)
 * @author      Daniel Cuevas <daniel@pinpointdesigns.co.uk>
 */

namespace Pinpoint\CarouselManager\Model\Source\Slide;

/**
 * Class TargetType
 */
class TargetType implements \Magento\Framework\Option\ArrayInterface
{
    protected $styles = ['_self' => 'Same Frame', '_blank' => 'Blank', '_parent' => 'Parent', '_top' => 'Top'];

    /**
     * Get available options
     *
     * @codeCoverageIgnore
     * @return array
     */
    public function toOptionArray()
    {
        $options = [];

        foreach ($this->styles as $i => $font) {
            $options[] = ['value' => $i, 'label' => $font];
        }

        return $options;
    }
}
