# Pinpoint Carousel Manager

This module adds nice admin interface for managing custom carousels and slides.

Administration: 
Navigate to Content > Elements > Carousel Manager

Features: 
- List of all defined Carouels
- Add new Carousel
- Unlimited number of slides per carousel
- Duplicate Carousel functionality from edit screen


There are 2 basic ways to define a new Carousel instance in the frontend: 
- Using Pinpoint Carousel Widget
- Using Layout.xml

Widget sample:

{{widget type="\Pinpoint\CarouselManager\Block\Carousel" carousel_id="1" template="PinpointCarousel::sampletemplate"}}

OR

{widget type="\Pinpoint\CarouselManager\Block\Carousel" carousel_slug="test" template="PinpointCarousel::sampletemplate"}}

(template is optional paramater. If not provided, the default template from the module will be used)

Samples for layout.xml usage can be found inside the module's folder

You can load a carousel via ID as follows:

    `<referenceContainer name="content">
        <block class="Pinpoint\CarouselManager\Block\Carousel" name="sample-carousel">
            <arguments>
                <argument name="carousel_id" xsi:type="string">15</argument>
            </arguments>
        </block>
    </referenceContainer>`

Or identifier/slug:

    <referenceContainer name="content">
        <block class="Pinpoint\CarouselManager\Block\Carousel" name="sample-carousel">
            <arguments>
                <argument name="carousel_id" xsi:type="string">my-carousel-slug</argument>
            </arguments>
        </block>
    </referenceContainer>

The frontend template is **Pinpoint_CarouselManager::carousel.phtml** by default, but this can be changed as follows:

    <referenceContainer name="content">
        <block class="Pinpoint\CarouselManager\Block\Carousel" name="sample-carousel">
            <arguments>
                <argument name="carousel_id" xsi:type="string">15</argument>
                <argument name="template" xsi:type="string">Pinpoint_CarouselManager::another.phtml</argument>
            </arguments>
        </block>
    </referenceContainer>


TODO: Complete HTML markup

TODO: We need to include dependency of pinpoint Slick slider module instead of loading own Slick slider
